{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_dir)"
                    ]
                }
            ],
            "baseCommand": [
                "cp",
                "-r"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "data/blat/db/$(inputs.in_tree[0])"
                },
                {
                    "position": 2,
                    "valueFrom": "/usr/local/blat/db/"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#blatdb.cwl/in_dir"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#blatdb.cwl/in_tree"
                }
            ],
            "id": "#blatdb.cwl",
            "outputs": []
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        "$(inputs.in_dir)"
                    ]
                }
            ],
            "baseCommand": [
                "cp",
                "-r"
            ],
            "arguments": [
                {
                    "position": 1,
                    "valueFrom": "$(inputs.in_dir.basename)/other_species/$(inputs.in_tree[0])"
                },
                {
                    "position": 2,
                    "valueFrom": "/app/data/other_species/"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#data.cwl/in_dir"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#data.cwl/in_tree"
                }
            ],
            "outputs": [],
            "id": "#data.cwl"
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/in_dir"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/in_tree"
                }
            ],
            "steps": [
                {
                    "run": "#blatdb.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/blatdb/in_dir"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/blatdb/in_tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/blatdb"
                },
                {
                    "run": "#data.cwl",
                    "in": [
                        {
                            "source": "#main/in_dir",
                            "id": "#main/data/in_dir"
                        },
                        {
                            "source": "#main/in_tree",
                            "id": "#main/data/in_tree"
                        }
                    ],
                    "out": [],
                    "id": "#main/data"
                }
            ],
            "outputs": [],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
